﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="DemoWebApp.Default" %>

<%@ Register Assembly="AutoCompleteControl" Namespace="AutoCompleteControl" TagPrefix="cc2" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link href="CSS/styles.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
   <cc1:ToolkitScriptManager ID="ScriptManager1" runat="server">
    </cc1:ToolkitScriptManager>

     <div style="padding:30px 0px 100px 30px;">
    <div>
        <asp:Label ID="versionLabel" runat="server" ></asp:Label>
        <p class="gray">
            Write: 
             Edward Norton, Brad Pitt, Britney Spears, James Hetfield, Keanu Reeves,<br /> 
             Kevin Spacey, Al Pacino, Charliz Theron, Kate Moss, Michael Jackson, Madonna, Eminem.
            
        </p>
    </div>
    <hr />
        <div style="width:350px;">

<cc2:AutoCompleteControl runat="server" ID="suggestor1"
        ContextKey                  ="0" 
            ServiceMethod               ="GetWordSuggestions"
            ServicePath                 ="WebService1.asmx" 
            Insertable                  ="true" 
            Multiple                    ="true" 
            EnableDirtyWordFilter       ="true"
            EnableTitleCasing           ="false" 
            ShowLastUsedWords           ="true" 
            CompletionSetCount          ="8"
            CompletionInterval          ="200"
            MinimumPrefixLength         ="1"
            SelectedItemBoxCssClass     ="ulbox"
            SelectedItemCssClass        ="ulboxli"
            SelectedItemOnDeleteCssClass="liondelete"
            onitemdeleted               ="suggestor1_ItemDeleted" 
            onitemselected              ="suggestor1_ItemSelected" 
            ListItemCssClass            ="acc_listItem"
            ListCssClass                ="acc_list"
            TextBoxCssClass             ="acc_textbox"
            HighlightedItemCssClass     ="acc_highlighted"   
            AddNewItemDesriptionText    ="eklemek için <b>Enter</b>'a bas"
            WatermarkText               ="write here.."
            TotalWidth                  ="300px"
        ></cc2:AutoCompleteControl>
         <br />
            <br />


             <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional" ChildrenAsTriggers="false">
                <ContentTemplate>
            <asp:Repeater ID="dataRepeater" runat="server">
                <ItemTemplate>
                    <div class="photo">
                        <asp:Image ID="Image1" runat="server" ImageUrl='<%# "~/Photos/" + Eval("WordId") + ".jpg" %>' />
                        <br />
                        <asp:Label ID="Label1" runat="server" Font-Size="10px" Text='<%# Eval("Text") %>'></asp:Label>
                        <div class="clear">
                        </div>
                    </div>
                </ItemTemplate>
                <FooterTemplate>
                    <div class="clear">
                    </div>
                </FooterTemplate>
            </asp:Repeater>
            <br />
           
                    <h3>
                        Selected Values:</h3>
                    <asp:Label ID="selectedValsLabel" runat="server"></asp:Label>
                    <h3>
                        Newly Added Values:</h3>
                    <asp:Label ID="newlyAddedValsLabel" runat="server"></asp:Label>
                    <br />
                    <br />
                    <asp:Label ID="timerLabel" runat="server"></asp:Label>
                </ContentTemplate>
            </asp:UpdatePanel>

    </div>
      <br />
        
        
        <br />
        

    </div>



    </form>
</body>
</html>
